org.apache.solr.client.solrj.impl

## Class HttpClientConfigurer

- java.lang.Object
- - org.apache.solr.client.solrj.impl.HttpClientConfigurer

    public class HttpClientConfigurer
    extends Object

The default http client configurer. If the behaviour needs to be customized a new HttpCilentConfigurer can be set by calling `HttpClientUtil.setConfigurer(HttpClientConfigurer)`

### Constructor Summary

Constructors
Constructor and Description
`HttpClientConfigurer()`

### Method Summary

Methods
`void` `configure(org.apache.http.impl.client.DefaultHttpClient httpClient, SolrParams config)`
`static boolean` `toBooleanDefaultIfNull(Boolean bool, boolean valueIfNull)`
`static Boolean` `toBooleanObject(String str)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpClientConfigurer

    public HttpClientConfigurer()

### Method Detail

#### configure

    public void configure(org.apache.http.impl.client.DefaultHttpClient httpClient,
                 SolrParams config)

#### toBooleanDefaultIfNull

    public static boolean toBooleanDefaultIfNull(Boolean bool,
                                 boolean valueIfNull)

#### toBooleanObject

    public static Boolean toBooleanObject(String str)